## sphinx-automodapi 0.12

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sphinx-automodapi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sphinx-automodapi.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sphinx-automodapi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sphinx-automodapi"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## sphinx-automodapi 0.10

=== debian/changelog ===
sphinx-automodapi (0.10-1) unstable; urgency=low

  * New upstream version 0.10
  * Push Standards-Version to 4.3.0. No changes needed
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Sun, 13 Jan 2019 20:16:49 +0100

sphinx-automodapi (0.9-1) unstable; urgency=low

  * Initial release. Closes: #915786

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Dec 2018 07:50:34 +0000

=== debian/control ===
Source: sphinx-automodapi
Section: python
Priority: optional
Maintainer: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 12), dh-python,
               python3-all,
               cython3,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.3.0
Homepage: https://astropy.org
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-automodapi
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-automodapi.git

Package: python3-sphinx-automodapi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Sphinx extension for auto-generating API documentation for modules
 This is a Sphinx extension to automatically generate API pages for whole
 modules. It was originally developed for the Astropy project but is now
 available as a standalone package since it can be used for any other
 package.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-automodapi

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf debian/*/usr/lib/python*/dist-packages/apyhtest_eva/

=== debian/tests/control ===
Test-Command: pytest-3
Depends: @, python3-all-dev, cython3, python3-pytest

## sphinx-automodapi 0.12

=== debian/changelog ===
sphinx-automodapi (0.12-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.

  [ Ole Streicher ]
  * Add gitlab-ci.yml for salsa
  * Add gcc to CI depends
  * New upstream version 0.12. Rediff patches
  * Disable build time tests; they require an installed package

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Aug 2019 13:46:11 +0200

sphinx-automodapi (0.10-4) unstable; urgency=low

  * Put package unter DPMT maintenance
  * Fix CI test command

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Jan 2019 15:16:40 +0100

sphinx-automodapi (0.10-3) unstable; urgency=low

  * Fix CI test dependency

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Jan 2019 09:42:29 +0100

sphinx-automodapi (0.10-2) unstable; urgency=low

  * Fix python-all-dev build dependency: Need -dev for tests

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Jan 2019 08:48:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: sphinx-automodapi
 Section: python
 Priority: optional
-Maintainer: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 12), dh-python,
-               python3-all,
+Maintainer: Debian Python Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
+Build-Depends: debhelper-compat (= 12), dh-python,
+               python3-all-dev,
                cython3,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://astropy.org
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx-automodapi
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx-automodapi.git

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs sphinx_automodapi
Depends: @, python3-all-dev, cython3, gcc, python3-pytest, python3-setuptools

## sphinx-automodapi 0.13

=== debian/changelog ===
sphinx-automodapi (0.13-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Ole Streicher ]
  * New upstream version 0.13. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed
  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control

 -- Ole Streicher <olebole@debian.org>  Fri, 25 Sep 2020 09:28:56 +0200

sphinx-automodapi (0.12-2) unstable; urgency=low

  * Add grapviz to Recommends and as test dependency

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Sep 2019 14:46:22 +0200

=== debian/control ===
Source: sphinx-automodapi
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.0
Homepage: https://astropy.org
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-automodapi
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-automodapi.git
Rules-Requires-Root: no

Package: python3-sphinx-automodapi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}, graphviz
Suggests: ${python3:Suggests}
Description: Sphinx extension for auto-generating API documentation for modules
 This is a Sphinx extension to automatically generate API pages for whole
 modules. It was originally developed for the Astropy project but is now
 available as a standalone package since it can be used for any other
 package.

## sphinx-automodapi 0.14.1

=== debian/changelog ===
sphinx-automodapi (0.14.1-2) unstable; urgency=medium

  * Add version.py to d/clean (Closes: #1015129)
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jul 2022 11:21:08 +0200

sphinx-automodapi (0.14.1-1) unstable; urgency=medium

  * New upstream version 0.14.1

 -- Ole Streicher <olebole@debian.org>  Sun, 16 Jan 2022 12:23:02 +0100

sphinx-automodapi (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Push Standards-Version to 4.6.0. No changes
  * Update build deps

 -- Ole Streicher <olebole@debian.org>  Mon, 03 Jan 2022 09:40:50 +0100

=== debian/control ===
Source: sphinx-automodapi
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-automodapi
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-automodapi.git
Homepage: https://astropy.org
Rules-Requires-Root: no

Package: python3-sphinx-automodapi
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends},
            graphviz
Suggests: ${python3:Suggests}
Description: Sphinx extension for auto-generating API documentation for modules
 This is a Sphinx extension to automatically generate API pages for whole
 modules. It was originally developed for the Astropy project but is now
 available as a standalone package since it can be used for any other
 package.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_install:
 	dh_install
 	rm -rf debian/*/usr/lib/python*/dist-packages/apyhtest_eva/
+
+override_dh_auto_test:
+	# Test requires installed package

## sphinx-automodapi 0.15.0

=== debian/changelog ===
sphinx-automodapi (0.15.0-1) unstable; urgency=medium

  * Push Standards-Version to 4.6.2. No changes needed
  * New upstream version 0.15.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2023 17:15:11 +0200

## sphinx-automodapi 0.17.0

=== debian/changelog ===
sphinx-automodapi (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Feb 2024 07:51:07 +0100

sphinx-automodapi (0.16.0-1) unstable; urgency=medium

  * New upstream version 0.16.0

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Aug 2023 16:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-automodapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-automodapi.git
 Homepage: https://astropy.org

## sphinx-automodapi 0.18.0

=== debian/changelog ===
sphinx-automodapi (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 14 Sep 2024 21:37:59 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-automodapi
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-automodapi.git
 Homepage: https://astropy.org

=== debian/watch ===
# try also https://pypi.debian.net/sphinx-automodapi/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinx-automodapi/sphinx-automodapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinx-automodapi 0.22.0

=== debian/changelog ===
sphinx-automodapi (0.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update debian/watch to allow underscore in file name.
  * Build-depend on pybuild-plugin-pyproject.
  * Bump required versions of python3-setuptools and python3-setuptools-scm.
  * Disable intersphinx_mapping in the tests in one more place.
  * Enable running the tests during build.
    - Build-depend on graphviz and python3-all-dev for the tests.
  * Add SOURCES.txt to debian/clean, to fix build twice in a row.
  * Add a patch to ignore PendingDeprecationWarning from docutils.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 10 Feb 2026 13:00:21 +0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,13 @@
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
+               graphviz <!nocheck>,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-pytest,
-               python3-setuptools,
-               python3-setuptools-scm,
+               python3-all-dev <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-setuptools (>= 77.0.1),
+               python3-setuptools-scm (>= 8.0.0),
                python3-sphinx
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-automodapi

=== debian/watch ===
# try also https://pypi.debian.net/sphinx-automodapi/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinx-automodapi/sphinx[-_]automodapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
